package cn.iocoder.yudao.module.knowledge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import cn.iocoder.yudao.module.knowledge.controller.requestdto.TLawsRequest;
import cn.iocoder.yudao.module.knowledge.entity.TLaws;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 法律法规表(TLaws)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-12 10:31:34
 */
@Mapper
public interface TLawsMapper extends BaseMapper<TLaws> {
    IPage<TLaws> getListPage(Page<TLaws> page, @Param("dto") TLawsRequest tLaws);
    IPage<TLaws> selectForApp(Page<TLaws> page, @Param("dto") TLawsRequest tLaws);

    List<TLaws> getListPage( @Param("dto") TLawsRequest tLaws);

    int updateByLawId(@Param("dto")TLawsRequest tLaws);

    int deleteByIds(@Param("id") long id);

    int filling(@Param("id") long id);

    int judgeIsFilling(@Param("id") long id);


    IPage<TLaws> findAllDocuments(Page<TLaws> page, @Param("dto") TLawsRequest tLaws);
}

